package com.alcar.aegis.gui.model.admin;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Esquema;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class EsquemasPageable extends AbstractArrangeableModel<Esquema>  {
	
	@ManagedProperty(value="#{esquemaService}")
	private IPageableService<Esquema> servicioPaginado;

	public EsquemasPageable() {
		super(Esquema.class);
	}
	
	@Override
	public IPageableService<Esquema> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Esquema> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
