package com.alcar.aegis.gui.model.admin;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Parametro;
import com.alcar.aegis.persistence.model.Usuario;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class ParametrosPageable extends AbstractArrangeableModel<Parametro>  {

	@ManagedProperty(value="#{parametrosService}")
	private IPageableService<Parametro> servicioPaginado;

	public ParametrosPageable() {
		super(Parametro.class);
	}

	@Override
	public IPageableService<Parametro> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Parametro> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
