package com.alcar.aegis.persistence.mapper;

import java.util.List;
import java.util.Map;

import com.alcar.aegis.persistence.model.Consulta;
import com.alcar.aegis.persistence.model.Role;

public interface ConsultasMapper {

	int deleteByPrimaryKey(Long xConsulta);

    int insert(Consulta record);

    int insertSelective(Consulta record);

    Consulta selectByPrimaryKey(Long xConsulta);
    
    Consulta selectByPrimaryKeyWithBlobs(Long xConsulta);

    int updateByPrimaryKeySelective(Consulta record);

    int updateByPrimaryKeyWithBLOBs(Consulta record);

    int updateByPrimaryKey(Consulta record);
    
	List<Consulta> selectFiltradaPaginada(Map<String, Object> filtro);

	Integer countNumeroRegistros(Map<String, Object> filtro);

	List<Consulta> selectByUsuario(Long xUsuario);
	
	List<Consulta> selectAllActivas();

	List<Consulta> selectByRoles(List<Role> roles);
    
}