package com.alcar.aegis.persistence.mapper;

import java.util.List;
import java.util.Map;

import com.alcar.aegis.persistence.model.ConsultaParametro;
import com.alcar.aegis.persistence.model.Parametro;

public interface ParametrosMapper {

	int deleteByPrimaryKey(Long xParametros);

    int insert(Parametro record);

    int insertSelective(Parametro record);

    Parametro selectByPrimaryKey(Long xParametros);

    int updateByPrimaryKeySelective(Parametro record);

    int updateByPrimaryKey(Parametro record);

	List<Parametro> selectDisponiblesParaConsulta(Long xParametro);
	
	List<Parametro> selectParametrosConsulta(Integer xParametro);

	List<Parametro> selectFiltradaPaginada(Map<String, Object> filtro);

	Integer countNumeroRegistros(Map<String, Object> filtro);
	
	int deleteByParametroYConsulta(ConsultaParametro parametroConsulta);

	int insertParametroConsulta(ConsultaParametro parametroConsulta);
	
	
}