package com.alcar.aegis.persistence.mapper;

import java.util.List;
import java.util.Map;

import com.alcar.aegis.persistence.model.Usuario;

public interface UsuariosMapper {

	int deleteByPrimaryKey(Long xUsuario);

    int insert(Usuario record);

    int insertSelective(Usuario record);

    Usuario selectByPrimaryKey(Long xUsuario);
    
    Usuario selectByPrimaryKeySinPassword(Long xUsuario);
    
    List<Usuario> selectByUsername(String username);
    
    List<Usuario> selectAll();

    int updateByPrimaryKeySelective(Usuario record);

    int updateByPrimaryKey(Usuario record);
    
    int updateByPrimaryKeyPasswordSelective(Usuario record);

	List<Usuario> selectFiltradaPaginada(Map<String, Object> filtro);

	Integer countNumeroRegistros(Map<String, Object> filtro);
    
    
}