package com.alcar.aegis.service.businesslogic;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.sql.DataSource;

import oracle.ucp.UniversalConnectionPoolException;

import com.alcar.aegis.persistence.model.Esquema;

public interface IConexionService {
	
	boolean comprobarConexion(Esquema esquema) throws Exception;
	DataSource crearDatasource(Esquema esquema) throws SQLException, UniversalConnectionPoolException;
	Integer probarConsulta(Esquema esquema, String consulta) throws Exception;
	void destruirDatasource(Esquema esquema)
			throws UniversalConnectionPoolException;
	List<Map<String, Object>> ejecutarConsulta(Esquema esquema,
			String consulta, Map<String, Object> parametros) throws Exception;
	
}
