package com.alcar.aegis.service.businesslogic;

import java.util.List;

import com.alcar.aegis.persistence.model.Consulta;
import com.alcar.aegis.persistence.model.Role;

public interface IConsultasService {

	int delete(Long xConsulta);

	int save(Consulta consulta);
	
	Consulta getByConsulta(Long xConsulta);

	Integer probarConsulta(String consulta, Long xEsquema) throws Exception;
	
	List<Consulta> getByUsuario(Long xUsuario);

	List<Consulta> getTodasActivas();

	List<Consulta> getByRoles(List<Role> roles);

}
