package com.alcar.aegis.service.businesslogic;

import java.util.List;

import com.alcar.aegis.persistence.model.Role;

public interface IRolesService {
	
	List<Role> getByRolesUsername(String username);
	
	Role getByRole(Long xRole);

	int deleteRole(Long xRol);

	int saveRole(Role rol);

	List<Role> getRolesByConsulta(Long xConsulta);

	int eliminarRoleConsulta(Long xRole, Long xConsulta);

	List<Role> getRolesDisponiblesConsulta(Long xConsulta);

	int agregarRole(Long xRole, Long xConsulta);

}
