package com.alcar.aegis.gui.model;

import java.io.Serializable;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.richfaces.event.ItemChangeEvent;

@ManagedBean
@SessionScoped
public class MenuBean implements Serializable {

	private static final long serialVersionUID = 4017304843220493963L;

	private static Log log = LogFactory.getLog(MenuBean.class);

	private String current = null;

	public void updateCurrent(ItemChangeEvent event) {
		current = event.getNewItem().getId();
	}

	public String getCurrent() {
		return current;
	}

	public void setCurrent(String current) {
		this.current = current;
	}
}
