package com.alcar.aegis.gui.model;

import java.io.Serializable;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import com.alcar.aegis.persistence.model.Usuario;

/**
 * En este bean se almacenaran las propiedades de sesion del usuario y debe
 * permanecer en el contexto de spring para que Spring-security pueda acceder
 * 
 * @author alcar
 * 
 */
@Component
@Scope("session")
public class SessionBean extends BaseBean implements Serializable {

	private static final long serialVersionUID = -2477891600149910534L;
	private Usuario user;

	public SessionBean() {
	}

	public Usuario getUser() {
		return user;
	}

	public void setUser(Usuario user) {
		this.user = user;
	}

}
