package com.alcar.aegis.gui.model.admin;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Role;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class RolesPageable extends AbstractArrangeableModel<Role>  {

	@ManagedProperty(value="#{rolesService}")
	private IPageableService<Role> servicioPaginado;

	public RolesPageable() {
		super(Role.class);
	}

	@Override
	public IPageableService<Role> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Role> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
