package com.alcar.aegis.gui.model.admin;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Usuario;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class UsuariosPageable extends AbstractArrangeableModel<Usuario>  {

	@ManagedProperty(value="#{usuariosService}")
	private IPageableService<Usuario> servicioPaginado;

	public UsuariosPageable() {
		super(Usuario.class);
	}

	@Override
	public IPageableService<Usuario> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Usuario> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
