package com.alcar.aegis.gui.model.consultas;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Consulta;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class ConsultasPageable extends AbstractArrangeableModel<Consulta>  {

	@ManagedProperty(value="#{consultasService}")
	private IPageableService<Consulta> servicioPaginado;

	public ConsultasPageable() {
		super(Consulta.class);
	}

	@Override
	public IPageableService<Consulta> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Consulta> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
