package com.alcar.aegis.gui.model.procesos;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean; 
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Proceso;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class ProcesosPageable extends AbstractArrangeableModel<Proceso>  {

	@ManagedProperty(value="#{procesosService}")
	private IPageableService<Proceso> servicioPaginado;

	public ProcesosPageable() {
		super(Proceso.class);
	}

	@Override
	public IPageableService<Proceso> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Proceso> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
