package com.alcar.aegis.gui.model.resultados;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean; 
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

import com.alcar.aegis.gui.model.AbstractArrangeableModel;
import com.alcar.aegis.persistence.model.Proceso;
import com.alcar.aegis.persistence.model.Resultado;
import com.alcar.aegis.service.businesslogic.IPageableService;
@ManagedBean
@RequestScoped
public class ResultadosPageable extends AbstractArrangeableModel<Resultado>  {

	@ManagedProperty(value="#{resultadosService}")
	private IPageableService<Resultado> servicioPaginado;

	public ResultadosPageable() {
		super(Resultado.class);
	}

	@Override
	public IPageableService<Resultado> getServicioPaginado() {
		return servicioPaginado;
	}

	@Override
	public void setServicioPaginado(IPageableService<Resultado> servicioPaginado) {
		this.servicioPaginado = servicioPaginado;
	}
	
	@PostConstruct
	public void setServicioPaginado() {
		super.servicioPaginado = this.servicioPaginado;
	}

}
