package com.alcar.aegis.persistence.mapper;

import java.util.List;
import java.util.Map;

import com.alcar.aegis.persistence.model.Esquema;

public interface EsquemasMapper {
	
	int deleteByPrimaryKey(Long xEsquema);

    int insert(Esquema record);

    int insertSelective(Esquema record);

    Esquema selectByPrimaryKey(Long xEsquema);

    int updateByPrimaryKeySelective(Esquema record);

    int updateByPrimaryKey(Esquema record);

	List<Esquema> selectFiltradaPaginada(Map<String, Object> filtro);

	Integer countNumeroRegistros(Map<String, Object> filtro);

	List<Esquema> selectDisponiblesParaProceso(Integer xProceso);

	List<Esquema> selectEsquemasProceso(Integer xProceso);

	int deleteEsquemasProceso(Map<String, Object> parametros);

	Integer insertEsquemasProceso(Map<String, Object> parametros);
}