package com.alcar.aegis.persistence.mapper;

import java.util.List;
import java.util.Map;

import com.alcar.aegis.persistence.model.Role;
import com.alcar.aegis.persistence.model.RolesConsultas;

public interface RolesMapper {

	int deleteByPrimaryKey(Long xRol);

    int insert(Role record);

    int insertSelective(Role record);

    Role selectByPrimaryKey(Long xRol);
    
    List<Role> selectByRolesUsername(String username);

    int updateByPrimaryKeySelective(Role record);

    int updateByPrimaryKey(Role record);

    List<Role> selectFiltradaPaginada(Map<String, Object> filtro);

	Integer countNumeroRegistros(Object object);

	List<Role> selectRolesByConsulta(Long xConsulta);

	int insertRoleConsulta(RolesConsultas roleConsulta);

	int deleteByRoleConsulta(RolesConsultas roleConsulta);

	List<Role> selectRolesDisponiblesConsulta(Long xConsulta);
}