package com.alcar.aegis.persistence.mapper;

import java.util.List;
import java.util.Map;

import com.alcar.aegis.persistence.model.RolUsuario;
import com.alcar.aegis.persistence.model.Role;
import com.alcar.aegis.persistence.model.Usuario;

public interface RolesUsuarioMapper {
    
    Usuario selectRolesUsuario(Map<String, Object> filtro);

	Integer countNumeroRegistros(Map<String, Object> filtro);
	
	Integer deleteRolByUserAndRol(Map<String, Object> parametros);

	List<Role> selectRolesUsuarioDisponibles(Long xUsuario);

	int deleteRolByUser(Long xUsuario);

	Integer insertRolByUserAndRol(RolUsuario rolUsuario);

}