package com.alcar.aegis.persistence.model;

import java.io.Serializable;
import java.util.Date;

import com.alcar.aegis.gui.model.BaseDescriptor;

public class Resultado implements Serializable, BaseDescriptor {
	
	private static final long serialVersionUID = 5328007328395510984L;

	private Long xResultado;

    private Date fEjecucion;

    private Integer esqXEsquema;

    private Integer proXProceso;
    
    private String tFicheroDatos;
    
    private Proceso proceso;
    
    private Esquema esquema;

    public Long getxResultado() {
        return xResultado;
    }

    public void setxResultado(Long xResultado) {
        this.xResultado = xResultado;
    }

    public Date getfEjecucion() {
        return fEjecucion;
    }

    public void setfEjecucion(Date fEjecucion) {
        this.fEjecucion = fEjecucion;
    }

    public Integer getEsqXEsquema() {
        return esqXEsquema;
    }

    public void setEsqXEsquema(Integer esqXEsquema) {
        this.esqXEsquema = esqXEsquema;
    }

    public Integer getProXProceso() {
        return proXProceso;
    }

    public void setProXProceso(Integer proXProceso) {
        this.proXProceso = proXProceso;
    }

	@Override
	public Long getId() {
		return xResultado;
	}

	@Override
	public void setId(Long id) {
		this.xResultado = id;
	}

	public String gettFicheroDatos() {
		return tFicheroDatos;
	}

	public void settFicheroDatos(String tFicheroDatos) {
		this.tFicheroDatos = tFicheroDatos;
	}

	public Proceso getProceso() {
		return proceso;
	}

	public void setProceso(Proceso proceso) {
		this.proceso = proceso;
	}

	public Esquema getEsquema() {
		return esquema;
	}

	public void setEsquema(Esquema esquema) {
		this.esquema = esquema;
	}

	public String getProProceso() {
		return proceso.gettProceso();
	}

	public String getEsqEsquema() {
		return esquema.gettNombre();
	}

}