package com.alcar.aegis.persistence.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.alcar.aegis.gui.model.BaseDescriptor;

public class Usuario implements Serializable, BaseDescriptor {

	private static final long serialVersionUID = -5292657492340091362L;

	private Long xUsuario;

    private String tNombre;

    private String tApellido1;

    private String tApellido2;

    private String tUsuario;

    private String tPassword;

    private Date fAlta;

    private Date fBaja;

    private String tEmail;

    private Boolean lBloqueado;
    
    private List<Role> roles = new ArrayList<Role>();

    public Long getxUsuario() {
        return xUsuario;
    }

    public void setxUsuario(Long xUsuario) {
        this.xUsuario = xUsuario;
    }

    public String gettNombre() {
        return tNombre;
    }

    public void settNombre(String tNombre) {
        this.tNombre = tNombre;
    }

    public String gettApellido1() {
        return tApellido1;
    }

    public void settApellido1(String tApellido1) {
        this.tApellido1 = tApellido1;
    }

    public String gettApellido2() {
        return tApellido2;
    }

    public void settApellido2(String tApellido2) {
        this.tApellido2 = tApellido2;
    }

    public String gettUsuario() {
        return tUsuario;
    }

    public void settUsuario(String tUsuario) {
        this.tUsuario = tUsuario;
    }

    public String gettPassword() {
        return tPassword;
    }

    public void settPassword(String tPassword) {
        this.tPassword = tPassword;
    }

    public Date getfAlta() {
        return fAlta;
    }

    public void setfAlta(Date fAlta) {
        this.fAlta = fAlta;
    }

    public Date getfBaja() {
        return fBaja;
    }

    public void setfBaja(Date fBaja) {
        this.fBaja = fBaja;
    }

    public String gettEmail() {
        return tEmail;
    }

    public void settEmail(String tEmail) {
        this.tEmail = tEmail;
    }

    public Boolean getlBloqueado() {
        return lBloqueado;
    }

    public void setlBloqueado(Boolean lBloqueado) {
        this.lBloqueado = lBloqueado;
    }

	@Override
	public Long getId() {
		return xUsuario;
	}

	@Override
	public void setId(Long id) {
		this.xUsuario = id;		
	}

	public List<Role> getRoles() {
		return roles;
	}
	

	public String getApellidos() {
		return this.tApellido1 + " " + this.tApellido2;
	}

	public void setRoles(List<Role> roles) {
		this.roles = roles;
	}
}