package com.alcar.aegis.service.businesslogic;


import java.util.List;

import com.alcar.aegis.persistence.model.Esquema;

public interface IEsquemaService {
	
	Esquema getByRole(Long xEsquema);
	
	Esquema getEsquema(Long xEsquema);

	int deleteEsquema(Long xEsquema);

	int saveEsquema(Esquema esquema);
	
	List<Esquema> getEsquemas();

	List<Esquema>  getEsquemasDisponibles(Integer xProceso);
	
	List<Esquema>  getEsquemasProceso(Integer xProceso);

	Integer deleteEsquemaProceso(Integer xProceso, Long xEsquema);

	Integer saveEsquemaProceso(Integer xProceso, Long xEsquema);

}
